Bug 1785594 - Add metric cpuinfo to node_exporter to gather cpu topology/hyperthreading information in telemetry
Summary: Add metric cpuinfo to node_exporter to gather cpu topology/hyperthreading inf...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.1.z
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.1.z
Assignee: Paul Gier
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On: 1789260
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-20 11:31 UTC by Lili Cosic
Modified: 2020-04-20 07:45 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1773665
Environment:
Last Closed: 2020-04-20 07:45:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift node_exporter pull 56 0 None closed Bug 1785594: backport cpu info metric 2020-08-19 13:03:18 UTC

Comment 1 Paul Gier 2020-01-21 14:59:08 UTC
Before backporting this fix to 4.1, we need to fix the s390x platform support (https://bugzilla.redhat.com/show_bug.cgi?id=1789260), so that we don't run into the same issue again.

Comment 2 Paul Gier 2020-02-05 03:40:59 UTC
Created PR to backport cpu-info metric to 4.1 (https://github.com/openshift/node_exporter/pull/56)
Although the multi-platform support is not yet merged upstream, we can at least add the cpu-info metric to 4.1 and note that it is only supported on x86 arches.


Note You need to log in before you can comment on or make changes to this bug.